<!DOCTYPE html>
<html lang="en">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta
      name="description"
      content="High performance Bitcoin development platform"
    />

    <!-- Preload assets -->
    <link rel="preload" href="js/application.js" as="script" />
    <link rel="preload" href="img/logo-white.svg" as="image" />

    <!-- Bootstrap -->
    <!-- <script src="./js/bootstrap.min.js"></script> -->
    <link
      rel="stylesheet"
      href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
      integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh"
      crossorigin="anonymous"
    />
    <script
      src="https://code.jquery.com/jquery-3.4.1.slim.min.js"
      integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"
      integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"
      integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6"
      crossorigin="anonymous"
    ></script>

    <!-- Jquery -->
    <script src="./js/jquery.js"></script>

    <!-- Cairo font -->
    <link
      href="https://fonts.googleapis.com/css2?family=Cairo:wght@400;600;700;900&display=swap"
      rel="stylesheet"
    />

    <!-- Inform the browser that we want it to prepare three connections to the backend -->
    <link rel="preconnect" href="https://backend.kth.cash" />
    <link rel="preconnect" href="https://backend.kth.cash" />
    <link rel="preconnect" href="https://backend.kth.cash" />

    <!-- ClipboardJs -->
    <script src="https://cdn.jsdelivr.net/npm/clipboard@2/dist/clipboard.min.js"></script>

    <style>
      @font-face {
        font-display: swap;
        font-family: "icons";
        font-weight: normal;
        font-style: normal;
        font-display: block;
        src: url("./fonts/icons.woff") format("woff");
      }
    </style>

    <link rel="icon" href="img/logo-white.svg" />

    <link href="css/materialize.edited.css" type="text/css" rel="stylesheet" />
    <link href="css/style.css" type="text/css" rel="stylesheet" />
    <link href="css/custom_styles.css" type="text/css" rel="stylesheet" />

    <!-- Website metadata -->
    <title>Knuth | Campaigns</title>
    <meta property="og:title" content="Knuth" />
    <meta
      property="og:description"
      content="Fundraiser for Knuth node utilizing assurance contracts to ensure fairness."
    />
    <meta property="og:type" content="website" />
    <meta property="og:url" content="https://kth.cash/" />
    <meta property="og:image" content="https://fund.kth.cash/img/logo.svg" />
    <meta property="og:image:alt" content="Knuth logo image." />
    <meta property="og:article:section" content="Technology" />
    <meta property="og:article:tag" content="Bitcoin" />
    <meta property="og:article:tag" content="Bitcoin Cash" />
    <meta property="og:article:tag" content="BCH" />
    <meta property="og:article:tag" content="Cryptocurrencies" />
    <meta property="og:article:tag" content="Fundraising" />
    <meta property="og:article:tag" content="Infrastructure" />
  </head>

  <body>
    <div>
      <div>
        <!-- Site header -->
        <header>
          <nav
            class="navbar navbar-expand-lg navbar-light fixed-top"
            id="nav-bar"
          >
            <img class="navbar-logo" src="./img/logo-white.svg" alt="Knuth" />
            <button
              class="navbar-toggler collapsed ml-auto"
              type="button"
              data-toggle="collapse"
              data-target="#navbarSupportedContent"
              aria-controls="navbarSupportedContent"
              aria-expanded="false"
              aria-label="Toggle navigation"
            >
              <span class="icon-bar top-bar"></span>
              <span class="icon-bar middle-bar"></span>
              <span class="icon-bar bottom-bar"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarSupportedContent">
              <ul
                class="navbar-nav d-flex justify-content-between w-50 mx-lg-auto"
              >
                <li
                  class="nav-item"
                  data-toggle="collapse"
                  data-target=".navbar-collapse.show"
                >
                  <a class="nav-link" href="https://kth.cash/#download"
                    >Get Knuth</a
                  >
                </li>
                <li
                  class="nav-item"
                  data-toggle="collapse"
                  data-target=".navbar-collapse.show"
                >
                  <a class="nav-link" href="https://kth.cash/#features"
                    >Features</a
                  >
                </li>
                <li
                  class="nav-item"
                  data-toggle="collapse"
                  data-target=".navbar-collapse.show"
                >
                  <a class="nav-link" href="https://kth.cash/kth-token.html"
                    >KTH Token</a
                  >
                </li>
                <li
                  class="nav-item"
                  data-toggle="collapse"
                  data-target=".navbar-collapse.show"
                >
                  <a class="nav-link" href="https://fund.kth.cash">Funding</a>
                </li>
                <li
                  class="nav-item"
                  data-toggle="collapse"
                  data-target=".navbar-collapse.show"
                >
                  <a class="nav-link" href="https://kth.cash/#contact"
                    >Contact</a
                  >
                </li>
              </ul>
            </div>
          </nav>
          <img class="head-logo" src="./img/logo-white.svg" alt="Knuth" />
        </header>

        <div class="container">
          <div id="campaigns-container" style="display: none"></div>
        </div>

        <div id="single-campaign-section" style="display: none">
          <div class="back-link arrow">
            <a href="./">All the campaigns</a>
          </div>
          <!-- Site content -->
          <main class="container row z-depth-2">
            <!-- Campaign -->
            <article id="campaign" style="margin-bottom: 0.75rem">
              <h1 style="display: none">Campaign</h1>

              <!-- Campaign overview -->
              <section id="overview">
                <h2 style="display: none">Campaign overview</h2>
                <div style="float: left">
                  <span class="valign-wrapper" style="float: left">
                    <i class="icon-access_time"></i>
                    <span id="timerLabel" data-string="expiresLabel"></span>
                    <b id="campaignExpiration">...</b>
                  </span>
                </div>
                <div style="float: right">
                  <span class="valign-wrapper" style="float: left">
                    <i class="icon-bookmark_border"></i>
                    <span id="compaignContributionAmount">0.00</span>
                    <i>/</i>
                    <span id="campaignRequestAmount">-.--</span>
                    <b>BCH</b>
                  </span>
                </div>
                <div class="progress">
                  <div class="determinate" id="campaignProgressBar"></div>
                  <div class="determinate" id="campaignContributionBar"></div>
                </div>
              </section>

              <!-- Campaign heading -->
              <div id="campaignAbstract"></div>

              <!-- Campaign donation form -->
              <fieldset id="donateField" class="">
                <div
                  id="donateStatus"
                  class="col s12 m12 l12 hidden"
                  style="text-align: center"
                ></div>

                <div id="donateForm" class="col s12 m12 l12 hidden">
                  <div class="input-field col s1 m1 l1" style="padding: 0">
                    <i
                      style="
                        display: inline-block;
                        width: 3rem;
                        height: 3rem;
                        text-align: center;
                        opacity: 0.5;
                        font-size: 2.25rem;
                        line-height: 3.25rem;
                      "
                      class="icon-attach_money"
                    ></i>
                  </div>
                  <div
                    class="input-field col s11 m5 l6"
                    style="padding: 0; text-align: center"
                  >
                    <input
                      type="range"
                      min="0"
                      max="100"
                      value="0"
                      step="0.20"
                      class="slider"
                      id="donationSlider"
                      style="
                        height: 3rem;
                        padding: 0;
                        width: calc(100% - 2rem);
                        margin: 0rem;
                      "
                    />
                  </div>
                  <div
                    class="input-field col s12 m6 l5"
                    style="padding: 0 0.75rem; margin: 0.75rem 0rem"
                  >
                    <button
                      id="donateButton"
                      class="btn waves-effect waves-light"
                      style="width: 100%; padding: 0; margin: 0rem"
                      disabled="disabled"
                    >
                      <span id="donateText" data-string="donateText"></span>
                      <span id="donationAmount"></span>
                    </button>
                  </div>
                </div>

                <div id="donateSection" class="col s12 m12 hidden">
                  <div
                    class="col"
                    style="
                      background-color: white;
                      border-radius: 0.25rem;
                      border: 1px solid rgba(0, 0, 0, 0.31);
                      padding-bottom: 1.5rem;
                      padding-top: 0.75rem;
                    "
                  >
                    <div class="col s12 m12 l12" style="margin-top: 0.75rem">
                      <div
                        class="row"
                        style="
                          display: flex;
                          flex-direction: column;
                          justify-content: center;
                          height: 10.5rem;
                          padding: 1rem;
                          margin: 0rem;
                          margin-top: 0.5rem;
                          border: 1px solid rgb(169, 169, 169);
                          box-shadow: inset 0rem 0.1rem 0.25rem
                            rgba(0, 0, 0, 0.13);
                        "
                      >
                        <div class="input-field col s12 m12 l12">
                          <i
                            style="
                              opacity: 0.5;
                              font-size: 2.25rem;
                              line-height: 2.25rem;
                            "
                            class="icon-person_outline prefix"
                          ></i>
                          <input
                            id="contributionName"
                            type="text"
                            maxlength="24"
                          />
                          <label
                            for="contributionName"
                            data-string="usernameLabel"
                          ></label>
                        </div>

                        <div class="input-field col s12 m12 l12">
                          <i
                            style="
                              opacity: 0.5;
                              font-size: 2rem;
                              line-height: 2.5rem;
                            "
                            class="icon-chat_bubble_outline prefix"
                          ></i>
                          <input
                            id="contributionComment"
                            type="text"
                            maxlength="120"
                          />
                          <label
                            for="contributionComment"
                            data-string="commentLabel"
                          ></label>
                        </div>
                      </div>
                    </div>

                    <div class="col s12 m12 l3" style="margin-top: 0.75rem">
                      <small
                        style="
                          display: inline-block;
                          width: 100%;
                          text-align: center;
                        "
                        data-string="copyLabel"
                      ></small>
                      <textarea
                        rows="5"
                        id="template"
                        name="template"
                        style="
                          height: 7rem;
                          font-family: monospace;
                          font-size: small;
                          margin: 0;
                          margin-top: 0.5rem;
                          padding: 1rem;
                          background-color: white;
                        "
                      ></textarea>
                      <button
                        id="copyTemplateButton"
                        class="btn waves-effect waves-light"
                        style="width: 100%"
                        data-string="copyButton"
                      ></button>
                    </div>
                    <div class="col s12 m12 l6" style="margin-top: 0.75rem">
                      <small
                        style="
                          display: inline-block;
                          width: 100%;
                          text-align: center;
                        "
                        data-string="instructionsLabel"
                      ></small>
                      <p
                        id="instructions"
                        style="
                          display: flex;
                          justify-content: center;
                          align-items: center;
                          text-align: center;
                          font-size: small;
                          height: 7rem;
                          padding: 1rem;
                          margin-bottom: 7px;
                          margin-top: 0.5rem;
                          border: 1px solid rgb(169, 169, 169);
                        "
                        data-string="instructions"
                      ></p>
                      <div
                        style="
                          display: flex;
                          align-items: center;
                          justify-content: space-evenly;
                        "
                      >
                        <a
                          id="downloadButton"
                          class="btn"
                          style="
                            display: flex;
                            align-items: center;
                            justify-content: flex-start;
                            background-color: transparent;
                            color: black;
                            box-shadow: none;
                          "
                          href="https://gitlab.com/flipstarter/flipstarter-electron-cash/uploads/a34641f9863164e82a6ab72314a02311/flipstarter-1.2.zip"
                        >
                          <i class="icon-download"></i>
                          <span
                            style="margin-left: 0.25rem"
                            data-string="downloadText"
                          ></span>
                        </a>
                        <a
                          id="linkInstructionsButton"
                          class="btn"
                          target="_blank"
                          style="
                            display: flex;
                            align-items: center;
                            justify-content: flex-start;
                            background-color: transparent;
                            color: black;
                            box-shadow: none;
                          "
                          href="https://read.cash/@flipstarter/how-to-support-a-flipstarter-campaign-f27240d9"
                        >
                          <i class="icon-info"></i>
                          <span
                            style="margin-left: 0.25rem"
                            data-string="instructionLink"
                          ></span>
                        </a>
                      </div>
                    </div>
                    <div class="col s12 m12 l3" style="margin-top: 0.75rem">
                      <small
                        style="
                          display: inline-block;
                          width: 100%;
                          text-align: center;
                        "
                        data-string="commitLabel"
                      ></small>
                      <textarea
                        rows="5"
                        id="commitment"
                        name="commitment"
                        data-placeholder="PasteHere"
                        style="
                          height: 7rem;
                          font-family: monospace;
                          font-size: small;
                          margin: 0;
                          margin-top: 0.5rem;
                          padding: 1rem;
                          background-color: white;
                        "
                      ></textarea>
                      <button
                        id="commitTransaction"
                        class="btn"
                        style="width: 100%"
                        data-string="commitButton"
                      ></button>
                    </div>
                  </div>
                </div>
              </fieldset>

              <!-- Campaign details. -->
              <section id="campaignDetails" class="row"></section>
            </article>

            <!-- Campaign sidebar -->
            <aside id="right-content">
              <!-- <section>
                                <h3 style='float: left;'>
                                    <span class='valign-wrapper' style='float: left;'>
                                        <i class="icon-face"></i>
                                        <b id='campaignRecipientCount'>0</b>
                                        <span data-string="recipientsLabel"></span>
                                    </span>
                                </h3>
                                <hr />
                                <ul id='recipientList' class='row' style='margin-bottom: 2rem;'></ul>
                            </section> -->

              <section>
                <h3 style="float: left">
                  <span class="valign-wrapper" style="float: left">
                    <i class="icon-favorite_border"></i>
                    <b id="campaignContributorCount">0</b>
                    <span data-string="contributorsLabel"></span>
                  </span>
                </h3>
                <hr />
                <ul id="contributionList">
                  <li
                    style="
                      font-size: 14px;
                      display: block;
                      text-align: center;
                      color: rgba(0, 0, 0, 0.5);
                      padding: 2rem;
                    "
                  >
                    <i data-string="contributorEmpty1"></i>
                    <br />
                    <i data-string="contributorEmpty2"></i>
                  </li>
                </ul>
              </section>
            </aside>
          </main>
        </div>

        <section id="donate" class="container">
          <div class="info-container">
            <h2>General donation address</h2>
            <div class="row no-gutters">
              <div class="col-12 col-lg-8">
                <p>
                  Address held by team members. It is used for general funding
                  of Knuth operations, including personnel, equipment and
                  contracting.
                </p>
                <p>
                  At the any fundraising efforts, unused funds could contribute
                  to fulfill those campaigns.
                </p>
              </div>
              <div
                id="qr-container"
                class="col-lg-4 text-center text-lg-right pt-3 pt-lg-0"
              >
                <img
                  src="./img/BitcoinCash_QR.png"
                  alt="Donation address"
                  width="200"
                />
              </div>
            </div>
            <div class="row text-center pt-3 pt-lg-5">
              <div class="col-12 col-md-8 offset-md-2">
                <div style="display: inline-block; width: 80%">
                  <input
                    type="text"
                    name="address"
                    id="address"
                    value="bitcoincash:qrlgfg2qkj3na2x9k7frvcmv06ljx5xlnuuwx95zfn"
                    readonly
                  />
                  <div>
                    <button
                      onclick="copied()"
                      class="btn btn-primary"
                      type="button"
                      id="copy-btn"
                      data-clipboard-target="#address"
                    >
                      Copy
                    </button>
                  </div>
                </div>
                <div id="snackbar">Copied!</div>
              </div>
            </div>
          </div>
        </section>
        <!-- donate -->
      </div>
    </div>

    <!-- Site footer -->
    <section id="contact">
      <div class="contact-container">
        <a target="_blank" href="https://github.com/k-nuth/kth"
          ><img
            class="social-icon first"
            src="./img/icons/github.svg"
            alt="Github"
        /></a>
        <a target="_blank" rel="nofollow" href="https://k-nuth.slack.com/"
          ><img class="social-icon" src="./img/icons/slack.svg" alt="Slack"
        /></a>
        <a target="_blank" rel="nofollow" href="https://twitter.com/KnuthNode"
          ><img class="social-icon" src="./img/icons/twitter.svg" alt="Twitter"
        /></a>
        <a target="_blank" href="https://t.me/knuth_cash"
          ><img
            class="social-icon"
            src="./img/icons/telegram.svg"
            alt="Telegram"
        /></a>
        <a target="_blank" href="mailto:info@kth.cash"
          ><img class="social-icon" src="./img/icons/mail.svg" alt="Mail"
        /></a>
      </div>
    </section>
    <a id="back2Top" title="Back to top" href="#">&#10148;</a>
    <footer class="text-center py-3">
      <small
        >Copyright © 2019-
        <script>
          document.write(new Date().getFullYear());
        </script>
        , Knuth</small
      >
    </footer>

    <div id="languageSelector" class="fixed-action-btn" style="display: none">
      <b id="currentLanguage" data-string="changeLanguage"></b>
      <a class="btn-floating btn-large green"
        ><i class="large icon-translate"></i
      ></a>
      <ul style="float: right; text-align: right; margin-right: 0.5rem">
        <li>
          <a
            class="btn-floating purple darken-2"
            style="text-align: center"
            id="translateEnglish"
            >En</a
          >
        </li>
        <li>
          <a
            class="btn-floating pink darken-2"
            style="text-align: center"
            id="translateChinese"
            >Cn</a
          >
        </li>
        <li>
          <a
            class="btn-floating red darken-1"
            style="text-align: center"
            id="translateJapanese"
            >Ja</a
          >
        </li>
        <li>
          <a
            class="btn-floating orange darken-2"
            style="text-align: center"
            id="translateSpanish"
            >Es</a
          >
        </li>
      </ul>
    </div>

    <!-- -->
    <template id="recipientTemplate">
      <li class="col s6 m6 l12">
        <a>
          <img />
          <span>
            <b></b>
            <i></i>
          </span>
        </a>
      </li>
    </template>
    <template id="contributionTemplate">
      <li>
        <div>
          <div class="contributionWaves"></div>
          <div class="contributionDisplay"></div>
          <span class="contributionPercent"></span>
        </div>
        <span>
          <span>
            <b class="contributionAlias"></b>
            <small class="contributionAmount"></small>
          </span>
          <q class="contributionComment"></q>
        </span>
      </li>
    </template>
    <template id="emptyContributionMessage">
      <li
        style="
          display: block;
          text-align: center;
          color: rgba(0, 0, 0, 0.5);
          padding: 2rem;
        "
      >
        <i data-string="contributorEmpty1"></i>
        <br />
        <i data-string="contributorEmpty2"></i>
      </li>
    </template>

    <!-- Load the javascript as the last step to ensure fastest load time. -->
    <script src="js/application.js"></script>

    <script src="js/custom_scripts.js"></script>

    <!-- -->
    <audio src="snd/applause.mp3" id="applause"></audio>

    <!-- Load all campaigns -->
    <script>
      console.log(window.location.href);
      const url = new URL(window.location.href);
      const CAMPAIGN_ID_TEMP = url.searchParams.get("id");
      console.log(CAMPAIGN_ID_TEMP);

      if (!CAMPAIGN_ID_TEMP) {
        let loader = `<div class="text-center py-2">Loading campaigns...</div><div class="boxLoading"></div>`;
        $("#campaigns-container").html(loader);
        fetch("https://backend.kth.cash/campaign")
          .then(function (response) {
            let result = `<div class="info-container">
                        <h1>Campaigns</h1>
                        <div id="campaigns-info" class="row no-gutters pt-1">
                            <p>This is a list of campaigns for funding on a feature-by-feature basis.
                            <br>Powered by <a href="https://flipstarter.cash">Flipstarter</a>.</p>
                        </div>
                    </div>`;

            response.json().then(function (data) {
              data.campaign.forEach((campaign) => {
                result += `<div class="card mb-4 animate-bottom">
                                <div class="card-header">
                                    Current Campaign
                                </div>
                                <div class="card-body">
                                    <h5 class="card-title">${campaign.user_alias}</h5>
                                    <p class="card-text">${campaign.user_url}</p>
                                    <a href="https://fund.kth.cash?id=${campaign.campaign_id}" class="btn btn-primary float-right">View campaign</a>
                                </div>
                            </div>`;
              });
              document.getElementById("campaigns-container").innerHTML = result;
            });
          })
          .catch(function (response) {});
      }
    </script>

    <!-- custom_scripts -->
    <script src="./js/custom_scripts.js"></script>

    <!-- Copy to clipboard -->
    <script>
      new ClipboardJS("#copy-btn");
    </script>

    <script>
      function copied() {
        var x = document.getElementById("snackbar");
        x.className = "show";
        setTimeout(function () {
          x.className = x.className.replace("show", "");
        }, 1000);
      }
    </script>

    <!-- Smooth Scrolling -->
    <!-- <script>
        document.querySelectorAll('a[href^="#"]').forEach(anchor => {
            anchor.addEventListener('click', function (e) {
                e.preventDefault();
            
                document.querySelector(this.getAttribute('href')).scrollIntoView({
                    behavior: 'smooth'
                });
            });
        });
        </script> -->
  </body>
</html>
